%define anolis_release 1
%define debug_package %{nil}
%global pkgversion 0.1 

Name:	     ras-tools
Version:     %{pkgversion}
Release:     %{anolis_release}%{?dist}
Summary:     ras-tools package
License:     GPLv2
URL:         https://gitee.com/anolis/ras-tools
Source:      %{name}-%{version}.tar.gz


BuildRequires: gcc

Requires:       glibc

%description
Ras-tools are an excellent set of tools to inject and test RAS ability on X86 and Arm platform through APEI EINJ interface.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1


%build
%{make_build}


%install
%ifarch x86_64
install -m 0744 -p -D cmcistorm	 %{buildroot}/%{_bindir}/cmcistorm
install -m 0744 -p -D lmce		 %{buildroot}/%{_bindir}/lmce
%endif
install -m 0744 -p -D einj_mem_uc	 %{buildroot}/%{_bindir}/einj_mem_uc
install -m 0744 -p -D hornet 	 %{buildroot}/%{_bindir}/hornet
install -m 0744 -p -D mca-recover	 %{buildroot}/%{_bindir}/mca-recover
install -m 0744 -p -D rep_ce_page	 %{buildroot}/%{_bindir}/rep_ce_page
install -m 0744 -p -D victim	 %{buildroot}/%{_bindir}/victim
install -m 0744 -p -D vtop		 %{buildroot}/%{_bindir}/vtop

%files
%license LICENSE
%ifarch x86_64
%{_bindir}/cmcistorm
%{_bindir}/lmce
%endif
%{_bindir}/einj_mem_uc
%{_bindir}/hornet
%{_bindir}/mca-recover
%{_bindir}/rep_ce_page
%{_bindir}/victim
%{_bindir}/vtop

%files doc
%doc README

%changelog
*  Fri Dec 16 2022 Ruidong Tian <tianruidong@linux.alibaba.com> - 0.1-1
- Init package from upstream
